Linux 4.14.11, 4.9.74, 4.4.109, and 3.18.91